@base <https://purl.org/coscine/ap/qudt/quantitykind/AmountOfSubstancePerUnitMass/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/AmountOfSubstancePerUnitMass/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Amount Of Substance Per Unit Mass sind."@de,
    "Profile for all units that are a/an Amount Of Substance Per Unit Mass."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Amount Of Substance Per Unit Mass"@de,
    "Unit: Amount Of Substance Per Unit Mass"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:CentiMOL-PER-KiloGM unit:FemtoMOL-PER-KiloGM unit:IU-PER-MilliGM unit:KiloMOL-PER-KiloGM unit:MOL-PER-KiloGM unit:MOL-PER-TONNE unit:MicroMOL-PER-GM unit:MicroMOL-PER-KiloGM unit:MilliMOL-PER-GM unit:MilliMOL-PER-KiloGM unit:NanoMOL-PER-KiloGM unit:PicoMOL-PER-KiloGM ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:CentiMOL-PER-KiloGM rdfs:label "Centimole Per Kilogram"@en .
unit:FemtoMOL-PER-KiloGM rdfs:label "Femtomoles Per Kilogram"@en .
unit:IU-PER-MilliGM rdfs:label "International Unit Per Milligram"@en .
unit:KiloMOL-PER-KiloGM rdfs:label "Kilomol Per Kilogram"@en .
unit:MOL-PER-KiloGM rdfs:label "Mol Per Kilogram"@en .
unit:MOL-PER-TONNE rdfs:label "Mol Per Tonne"@en .
unit:MicroMOL-PER-GM rdfs:label "Micromoles Per Gram"@en .
unit:MicroMOL-PER-KiloGM rdfs:label "Micromoles Per Kilogram"@en .
unit:MilliMOL-PER-GM rdfs:label "Millimole Per Gram"@en .
unit:MilliMOL-PER-KiloGM rdfs:label "Millimole Per Kilogram"@en .
unit:NanoMOL-PER-KiloGM rdfs:label "Nanomoles Per Kilogram"@en .
unit:PicoMOL-PER-KiloGM rdfs:label "Picomoles Per Kilogram"@en .
